messages

; MetaData HotKey help
@msgMetaDataHelp
You are focused in the MetaData form under the Render dialog.
This table lists the various attributes for which yu can set values.
It consists of the category name, fieldName, fieldValue, and a few other fields.
To move from item to item,  use up and down arrow.
Braille will show the category name folowed by a colon, the field name,  an equal sign,  and the field value.
JAWS will speak the category name only when it changes as you move up and down.
But, SayLine will speak the category name, as well as the field name and value.
To set the value for the current field,  press f2, type the text, followed by the enter key.
Jaws will then speak the current item.
To read the other fields use jawsKey+control in conjunction with the numbers row keys.
Press Escape to close this message
@@

; track manager hot key help
@msgTrackManagerHelp
You are focused in the track manager, where you can change the order of tracks, and set track visibility.
This is a table, with one track per row, and several columbns of data relevant to each track.
To select a track, use up and down arrow keys.
to examine a particular field in the curren track,  use left and right arrows.
To repeat the current cell, press the sayWord command, such as jawsKey+NumPad5.
To speak the track name and number, no matter which cell , press alt+LeftArrow.
To return to speaking all data with each press of up and down arrow,  double click alt+Leftarrow, or arrow all the way to  the left.
To toggle track visibility,  right arrow to the TCP field, and press shift+space. 
To change track ordering,  use the jaws cursor,  and drag and drop techniques.
@@

; file save as dialog hot key help.
@msgSaveAsHelp
you are currently focused in the File,  save as, dialog.
hot keys are provided for accessing the listed checkboxes which are not in the tab order.
Generally, these are control plus a numbers row key, in the range of 1 to 8.
Press these keys once to hear their current state.  
Double click them to toggle their state.
The reaper logic that governs these check boxes is such that some boxes do not operate unless other boxes are enabled first.
Thus, clicking them when they are not enabled will not change their state.
For example, you can not check the box for trimming media tails, or set the tail size unless you have first checked the box for converting media.
And, you can not check the box to convert media, until you first check the box for copying all media into project directory.
Control+8 is the exception.  a single click of This will set focus in the edit box where you can type in the tail size.
But, that edit box is partially obscured, and can not be made to behave normally.  However,  backspace and delete do work, and you can type in a new number.
Press escape to close this dialog
@@


; undo History
@msgUndoHelp
You are focused  in the undo history.
The following keys have special meaning when in this dialog:
Use up and down arrows to move between adjacent items.
Use left and right arrow to choose what is spoken as you go up and down.
To cause all fields to be spoken, arrow all the way to the left.
To move down until a differently named  item is found, press control+downArrow.
To move up until a differently named item is found,  press control+upArrow.
To revert to the selected state of the project,  press enter.
Press escape to close this message
@@
 
; render queue
@msgrqHotKeyHelp
You are focused in the queued renders dialog, where the following keys have special meaning.
Use up and down arrow to explore the list of renders that are currently queued.
Use left and right arrow to select which field is spoken, as you go up and down.
To hear all fields except for the date,  arrow all the way to the left.
To hear the date, you can arrow one position to the right.
You can also use control+JawsKey plus a numbers row key to hear a particular field.
Press the SayWord command to repeat the current cell.
Press escape to close this message
@@

; media explorer help
@msgMXHotkeyHelp
you are focused in the media explorer, where 
Use the tab key to browse available controls.
The following keys also have special meaning:
play the current item from current position = spaceBar
pause the playing item = spacebar
Return to start of item = control+Home
volume control, coarse adjust (use alt+up and down arrow)
Some of the following keys are slowly being depricated as Reaper provides more native hotkeys.
Folder Path edit focus = f1
files list focus = f2
search edit focus = f3
Audio review Focus = f4 (see notes below about this mode)
pitch edit focus = f5
Toolbar focus = f8, then use left and right arrows to select a tool
Hardware Outputs menu = f9
repeat mode toggle = control shift r
Say length of selected file   = insert+pageDown (when in files list)
*****
Audio Review mode hot keys,  activated by f4
This functionality is unreliable,  and may be removed.
The rest of this help message is about this feature.
Start playback from beginning = right arrow
stop playback = left arrow
Use the following keys while playing:
absolute movement forward by zoom amount = alt+rightArrow 
absolute movement backward by zoom amount = alt+LeftArrow
Relative Movement forward by zoom amount = alt+control+rightArrow
Relative Movement backward by zoom amount = alt+control+LeftArrow
zoom faster = the dashKey
zoom slower =  the equalsKey
Return to position of most recent movement = alt+NumPad5
Pause = control+space
Select a portion of the audio to include in project with the following:
Mark current position as start of selection = left bracket
Mark current position as right end of selection = right bracket
Adjust left end of selection with control plus left and right bracket
Adjust right end of selection with alt plus left and right bracket.
Include in project = enter.
Press Escape to close this help
@@

; actions list
@msgActionsListHelp
you are focused in the Actions list, where 
The following keys have special meaning:
Focus on the filter edit box = control+shift+f
Focus on the actions list = control+shift+l
The following keys are useful when focused on the actions list:
f1 = speak action name
f2 = speak hotKey
f3 = speack action ID,  double click to copy to clipboard.
f4 = speak script path, doubel click to copy to clipboard
f5 = choose what is spoken when you up and down arrow through the list
f6 = turn prefix filtering on or off.
f7 = speak the state
SayLine = speak the current item in total.
Press escape to close this message
@@

@msgTrackManager
You are focused in the track manager, where you can view various details about each track.
Use up and down arrow in this list to choose a track.
Or, shift+tab intot he edit field to enter a track name.
Use left and right arrow in this list, to brows the list of fields, and associated values.
to hear all fields spoken, Press left arrow until the word all is spoken.
To hear a particular field, press control+jawsKey plus a numbers row key.
The list of fields, and the order in which they appear, is control by an entry in file reaper.ini, in the jaws user settings area.
Edit the [trackManager] section to change the list.
@@


; jawsKey+z
@msgLayerHelp
This is a standard jaws keyboard layer.  Use JAWSKey+z to enter this layer.
You will hear a small activation sound.  
If you have sounds enabled, you will hear a soft ticking while the layer is active.
You will hear a similar sound, in reverse, when the layer is exited.
Press one of the following to attempt to perform it's function.  Any other key will exit the layer, and be sent to the application.
to bookmark a track,  press shift plus a numbers row key
To go to a bookmarked track,  press the numbers rowk key you assigned above.
To review the current list of track bookmarks, press t.
Find next track with an item at this position = control+DownArrow
Find Previous track with an item at this position = control+UpArrow
k = start or stop the key stroke logger.
o = select various options.
v = virtualize a list of effect names in the f dialog, to remove prefixes, so you can use first letter navigation in the list.
Focus in the effects list before using this.  Press enter To select the current item, or escape to return to the original list., 
Buttons are provided to switch between abbreviated, and unabbreviated forms.
m = monitor the ReaComp compressor gain reduction,periodically.  Press again to toggle off.
Use that when focused in the ReaComp UI dialog.
Or,  outside of this layer,  press jawsKey+c to take the jaws cursor to the ReaComp gain reduction field.
n = toggle the option to autoPlay upon a nudge
control+windows+f9=setSelectionPlayMode, play entire selection, for when nudging selections
control+windows+f10=setSelectionPlayMode, end of selection, for when nudging selections
control+windows+f11=SetAuditionCutMode , for nudging a selection before deletion
dash and equals, select an interval for the time jumps, these keys remain in the layer
alt+windows+f9, make absolute time jumps, relative to the edit cursor.
alt+windows+f10, make time jumps relative to the play cursor
c = capture a favorite from the actions dialog list, select the action first
z =select and execute a favorite action
h = this help message.
***Object navigation keys
capture the current object for navigation when in a dialog = control+home .
read the name and value of the current object = sayWord.
Move to the prior sibling object and  read name and value = leftArrow.
move to Next sibling object and  read name and value = rightArrow. 
move to the parent object and  read name and value = UpArrow.  
move to the first child object and  read name and value = DownArrow. 
Focus to the current object = shift+home.
Release the object = control+shift+home.
Note that not all linkages are necessarily implemented by the applicaition.
It is possible to make a navigational move, and not be able to reverse it.

Press Escape to close this message
@@

; obsolete
@msgObjectLayerHelp
This is a standard jaws keyboard layer for dialog object navigation.  
Use control+JAWSKey to enter this layer.
You will hear a small activation sound.  
If you have sounds enabled, you will hear a soft ticking while the layer is active.
You will hear a similar sound, in reverse, when the layer is exited.
Press one of the following to attempt to perform it's function.  Any other key will exit the layer, and be sent to the application.
capture the current object for navigation when in a dialog = control+home .
read the name and value of the current object = sayWord.
Move to the prior sibling object and  read name and value = leftArrow.
move to Next sibling object and  read name and value = rightArrow. 
move to the parent object and  read name and value = UpArrow.  
move to the first child object and  read name and value = DownArrow. 
Focus to the current object = shift+home.
Release the object = control+shift+home.
Note that not all linkages are necessarily implemented by the applicaition.
It is possible to make a navigational move, and not be able to reverse it.

Press escape to close this message.
@@


@msgMidiEventsListHelp
This is the MIDI events list. 
Use up and down arrows to move between events.  
Use left and right arrows to determine which field to report when navigating vertically.
Speak the current cell with alt+control+NumPad5, or the SayCell Equivalent on laptop
Arrow all the way to the left to report all fields.
Use JAWSKey+control+ numbers row 1 through 9 to speak a particular field in the current event.
Double click those keys to set focus to that cell in the current row.
To edit a field,  use left and right arros to nativate to the field,  and control+shift+enter to open the edit box.
Press escape to close this message
@@

@msgHotKeyHelp
Use extended up and down arrow keys to browse this list of hot keys for Reaper.
Check for script updates: press insert+u.
To open REAPER scripts documentation in your browser,  press JAWSKey+f1.
For help on layered keys applicable to reaper, exit this help, activate the JAWSKey+z layer, and press h.
To explore the sound cues Press enter here. %keyfor(ExploreSoundCues)
To check for open windows that do not have focus, press %keyfor(BuildDialogsReport)
*** Pluggins navigation
To use OCR to try to make totally graphical pluggin windows usable, 
focus in the pluggin window by pressing f6 from the effects window.
Then use JawsKey+r, with the pcCursor active,  to start the OCR process.
When that finishes,  the jaws cursor will be active,  and you can explore the results.
*** following keys for quicker navigation in dialogs:
For the Preferences dialog, focus back on the treeView, control+shift+t
Memorize a tab position in a dialog, %keyfor(MemorizeDialogPosition)
Return to memorized tab position, requires same dialog, %keyfor(ReturnDialogPosition)
Browse a list of memorized positions in this dialog, %keyfor(SelectDialogPosition)
Enter the name of a memorized dialog position, %keyfor(FindDialogPosition)
Move to next control of the same type, %keyfor(NextSameType)
Move to previous control of the same type, %keyfor(PreviousSametype) 
*****
The Actions, and add fx  Dialogs, use the following keys to set focus on various fields:
Filter edit box = Control+shift+f
Results List = Control+shift+l
Close = control+shift+c
*** TrackList keys
Lock or unlock loop / time selection = %keyfor(lockTimeSelection)
Speak selected trracks = JAWSKey+DownArrow
Speak Track Volume in track list, with one track selected = JawsKey+UpArrow
speak tempo bpm = Control+jawsKey+1
Speak time signature = control+JawsKey+2
Speak play rate = control+JawsKey+3
Speak Now Time, press %keyfor(NowTimeSpeak)
Speak item or region at current position on current track, press %keyfor(ActiveItemSpeak)
Speak SelectionStart and End, press %keyfor(SpeakSelectionStartAndEnd)
Speak Selection Length, press %keyfor(SpeakSelectionLength)
OR,  speak selection boundaries and length together, press Shift+JAWSKey+DownArrow.
Speak project length press %keyfor(SpeakProjectLength)
Speak Reapers stop/play/record status, press %keyfor(StatusSpeak)
Time selection nudge keys now use the standard reaper key map:
Item boundary nudge keys also use the standard reaper keymap.
Toggle the option to autoPlay upon nudge, jawsKey+z followed by n. 
when nudging, using autoplay, choose whether to play time selection contents, or to skip the selection, with JawsKey+z followed by control+shift+f9 or f11.
When auditioning selections, choose left or right end selection reference using control+shift and left or right bracket keys. 
*** Braille Support
When ReaComp is open, put the jaws cursor on the gain reduction field, so it can be rapidly monitored in braille,  press jawsKey+c.
toggle level meter modes for braille displays, %keyfor(ToggleBrailleStripMode)
Braill levele meters enable / disable, double click the j  and k keys based on channel.
To avoid the need to pan, turn off the braille cursor time.
Braille cursor time toggle, press %keyfor(ToggleBrailleCursorTime)
Use Braille routing buttons to select a bookmark, or jump to a percentage of the time line, based on Jaws+z options.
Control Braille Timeline mode, use control key with routing buttons 1, 2 and 3
Braille display format, see the Reaper section at  http://SnowmanRadio.com/reaper.html
Make larger time jumps than page up and down, press %keyfor(SayToCursor) and %keyfor(SayFromCursor)
To adjust the amount of time jumped,  see layer help, JAWSKey+z, h.
*** Media Explorer Keys **
Say the folder path for the current folder,  JawsKey+tab
Say the current file length in minutes and seconds, JAWSKey+pageDown
Press Escape to close this message. 
@@

@msgNudgeAutoPlayDisabled
Nudge AutoPlay Disabled
@@

@msgSetSelectionPlayMode
Selection Play Mode
@@
@msgEndOfSelectionMode
End of selection Mode,
@@

@msgAuditionCutMode
Audition cut mode
@@


@msgNudgeAutoPlayEnabled
Nudge AutoPlay enabled
@@

@msgFetchFailed
Unable to contact the server to check for updates.  We don't know why.  Try restarting jaws, and maybe even restarting your computer. We're sorry.
@@

@msgUpdateLatest
No new updates have been posted.  You are up to date.
@@

@msgUpdateOutOfDate
The latest Reaper Scripts version is %1, but your installed version is %2.
@@

@msgDownloadInstructions
click the link below to Download the reaper_%1.zip file,  unzip and  .  
run the installer as normal.
@@
@msgDownloadZipLink
Click Here to download the zipped file.
@@

@msgPressEscape
Press escape to close this message.
@@

@msgDownloadStarted
Downloading, please wait. 
@@

@msgDownloadSucceeded
Download complete, located at: %1
@@

@msgDownloadFailed
The Download failed. We dont know why.  But,  restarting JAWS may help.
@@

@msgVolume
Volume
@@
@msgPan
Pan
@@

@msgWidth
Width
@@

@msgStatusObscured
The status window is obscured.  Go to the view menu, and make sure the mixer is not checked.
Or, an FX Parameters window may also be open.  
@@

@msgChecked
Checked
@@
@msgNotChecked
not checked
@@

@msgCheckboxUnchecked
checkbox unchecked
@@

@msgCheckboxChecked
checkbox checked
@@

@msgButton
button
@@

@msgToolbar
ToolBar
@@

@msgActionNickname
Enter a nickname for the action: %1
@@

@msgCanceled
canceled
@@

@msgNoTimeSelection
no time selection established
@@

@msgNoItemSelected
no item selected
@@
@msgOneItemSelected
One item selected
@@
@msgItemsSelected
%1 Items selected, 
@@

@msgNoRegion
No region
@@

@msgNotInActionsDialog
Not in the actions dialog, focused on the actions list
@@

@msgSaved
Saved
@@

@msgNoActionFavorites
No action favorites have been defined
@@

@msgTrackList
track list
@@

@msgNotForTrackList
Not defined for the track list
@@

@msgNoAlternateConfigs
No alternate configurations are listed in file reaper.ini
@@

@msgAlternateConfigTitle
Alternate JAWS Configurations
@@

@msgAlternateConfigPrompt
!Choose from one of the following alternate configurations
@@

@msgConfigDoesNotExist
configuration %1 does not exist. Configuration not changed.
@@

@msgTimeJumpNames
five seconds|ten seconds|thirty seconds|60 seconds
@@
@msgTimeJumpIntervals
00:05|00:10|00:30|01:00
@@
@msgTimeJump
Time Jump Intervals
@@

@msgAbsoluteMode
Absolue time Jumps
@@
@msgRelativeMode
Play cursor relative time jumps
@@


@msgObjectCaptured
object captured
@@

@msgObjectReleased
Object released
@@

@msgEnabled
enabled
@@
@msgDisabled
disabled
@@
@msgBypassed
bypassed
@@

@msgOptHeader
Press the enter key to toggle any of the following options
@@
@msgOpt1
Enable Sound cues: %1
@@
@msgOpt2
suppress track number in the trackList: %1
@@
@msgOpt4
silence page up and down when not playing: %1
@@
@msgOpt8
Nudge AutoPlay: %1
@@
@msgOpt16
braille routing to bookmarks: %1
@@
@msgOpt32
beep at item edges %1
@@
@msgOpt64
beep at region edges %1
@@
; 128 is now free
@msgOpt256
Use project specific track hotKeys: %1
@@
@msgOpt512
Indicate recording on left end of Braille display: %1
@@
@msgOpt1024
Show armed status left of Braille track indicator: %1
@@
@msgOpt2048
Time Selection: use shorter confirmation sounds: %1
@@
@msgOpt4096
Time Selection: validate after pressing right bracket: %1
@@
@msgOpt8192
Typing echo, when focused in edit boxes: %1
@@
@msgOpt16384
track monitor status shown on the braille display: %1
@@
@msgOpt32768
Announce track volumed with up and down arrows: %1
@@
@msgOpt65536
Announce track changes due to control surfaces: %1
@@
@msgOpt131072
Check Item selection after soloing: %1
@@
@msgOpt262144
Alt number Key Shortcuts %1
@@

@msgOptEscape
Press escape to close this dialog. Options are already saved.
@@
@msgPaused
paused
@@

@msgNoStatusBar
The status bar is not visible. Go to the view menu, and make sure transport is checked.
@@

@msgNoNewName
No new name found
@@

@msgOpenWindows
Open Windows
@@

@msgNoOpenWindows
No open windows detected
@@

@msgProjectLength
Project Length %1
@@

@msgNotAvailable
not available
@@

@msgUndefined
Not defined
@@

@msgItemState
item state: 
@@

@msgNoItem
no item
@@

@msgHardwareOutputs
Hardware outputs
@@

@msgTrackBookmark1
Assigned Track %1 to key %2, project %3
@@
@msgTrackBookmark2
no track assigned to key %1, in project %2
@@


@msgOptGlobalTrackKeys1
Store this projects specific Track Hotkeys for use with all projects
@@
@msgOptGlobalTrackKeys2
Track hot keys are now stored for use by all projects.
@@
@msgOptGlobalTrackKeys3
Delete all project specific track hot keys?
@@
@msgOptGlobalTrackKeys4
Do you really want to delete all project specific track hotkeys?
@@
@msgOptGlobalTrackKeys5
Project specific track hot keys deleted
@@


@msgNoTrackBookmarks
No trackList bookmarks have been assigned for project %1
@@

@msgTrackBookmarkList
TrackList bookmarks for project %1
@@
@MsgTrackBookmarkTitle
!TrackList Bookmarks
@@

@msgTimeSelectionLocked
Lock Time Selection
@@

@msgTimeSelectionUnlocked
time selection unlocked
@@

@msgEmptyTrack
no item at current position
@@

@msgItemTime
Item:  %1
@@

; marker regionsmanager
@msgMarkerFieldNames
ID|Name|start time|end time|length|render matrix
@@

@msgVisible
visible
@@

@msgNotVisible
not visible
@@

@msgBrailleTimeEnabled
Braille Time Enabled
@@

@msgBrailleTimeDisabled
Braille Time Disabled
@@

@msgNoBraille
No Braille display is connected
@@

@msgRegionReport
Inside region %1 length %2
@@
@msgRegionReport_s
region %1 length %2
@@

@msgHours
 hours
@@
@msgMinutes
 minutes
@@
@msgSeconds
 seconds
@@

; modes for the braille display, vertical bars required
;if you change the number of fields,  see ToggleMeterMode in reaper.jss
@msgMeterModes
peak instantaneous
|Peak Hold
|LUFS-momentary
|LUFS-shortCurrent
|LUFS-shortMax
@@


@msgBrowserOpening
Your browser may open shortly with ReaperScripts Documentation
@@

@msgNoGradeTwo
Braille is restricted to grade one, when the braille channel meters are active.
@@

@msgLayerClosed
Layer Closed
@@

@msgNotInADialog
not in a dialog
@@

@msgChooseDialogPosition
Select a control for %1
@@

@msgNotFound
not found
@@

@msgNoBookmarks
No bookmarks have yet been recorded for the %1 dialog. 
@@

@msgUnnamedControl
This control is unnamed, so can be memorized, but not added to the name list
@@

@msgWindowObscured
Window partially obscured. OCR may be incomplete.
@@

; Braille timeline mode messages
@msgTimeLineModeActive
TimeLine Braille Active
@@
@msgNormalModeActive
Normal Braille Active
@@
@msgStayWhereYouAre
Stay where you are
@@
@msgTrackPlayCursor
Track play cursor
@@
@msgScalingModesBTL
Scale to Project|Scale To time Selection|scale custom
@@
@msgNoSelection_s
no time selection established
@@
@msgSelectATrack
select a track
@@

@msgNoSelection
to set custom scaling, you must first establish a time selection.
@@
@msgCustomScalingComplete
Custom Braille scaling captured
@@
 
EndMessages

